
Namespace Logging

    ''' <summary>
    ''' A default logger that does not publish data.
    ''' </summary>
    ''' <remarks></remarks>
    Public Class NullLog
        Implements ILog

        Public ReadOnly Property Name() As String Implements ILog.Name
            Get
                Return Nothing
            End Get
        End Property

        Public Sub Initialize(ByVal logName As String) Implements ILog.Initialize
        End Sub

        Public Sub Critical(ByVal id As Integer, ByVal format As String, ByVal args() As Object) Implements ILog.Critical
        End Sub

        Public Sub Critical(ByVal id As Integer, ByVal message As System.Func(Of String)) Implements ILog.Critical
        End Sub

        Public Sub Critical(ByVal format As String, ByVal ParamArray args() As Object) Implements ILog.Critical
        End Sub

        Public Sub Critical(ByVal message As System.Func(Of String)) Implements ILog.Critical
        End Sub

        Public Sub Debug(ByVal id As Integer, ByVal format As String, ByVal args() As Object) Implements ILog.Debug

        End Sub

        Public Sub Debug(ByVal id As Integer, ByVal message As System.Func(Of String)) Implements ILog.Debug
        End Sub

        Public Sub Debug(ByVal format As String, ByVal ParamArray args() As Object) Implements ILog.Debug
        End Sub

        Public Sub Debug(ByVal message As System.Func(Of String)) Implements ILog.Debug
        End Sub

        Public Sub [Error](ByVal id As Integer, ByVal format As String, ByVal args() As Object) Implements ILog.Error
        End Sub

        Public Sub [Error](ByVal id As Integer, ByVal message As System.Func(Of String)) Implements ILog.Error

        End Sub

        Public Sub [Error](ByVal format As String, ByVal ParamArray args() As Object) Implements ILog.Error
        End Sub

        Public Sub [Error](ByVal message As System.Func(Of String)) Implements ILog.Error

        End Sub

        Public Sub Info(ByVal id As Integer, ByVal format As String, ByVal args() As Object) Implements ILog.Info
        End Sub

        Public Sub Info(ByVal id As Integer, ByVal message As System.Func(Of String)) Implements ILog.Info
        End Sub

        Public Sub Info(ByVal format As String, ByVal ParamArray args() As Object) Implements ILog.Info
        End Sub

        Public Sub Info(ByVal message As System.Func(Of String)) Implements ILog.Info
        End Sub

        Public Sub Warn(ByVal id As Integer, ByVal format As String, ByVal args() As Object) Implements ILog.Warn
        End Sub

        Public Sub Warn(ByVal id As Integer, ByVal message As System.Func(Of String)) Implements ILog.Warn
        End Sub

        Public Sub Warn(ByVal format As String, ByVal ParamArray args() As Object) Implements ILog.Warn
        End Sub

        Public Sub Warn(ByVal message As System.Func(Of String)) Implements ILog.Warn
        End Sub

    End Class

End Namespace